alert('SceneEpisodes.js loaded');

function SceneEpisodes() {

};

SceneEpisodes.prototype.initialize = function () {
	alert("SceneEpisodes.initialize()");
	// this function will be called only once when the scene manager show this scene first time
	// initialize the scene controls and styles, and initialize your variables here
	// scene HTML and CSS will be loaded before this function is called

	$('#svecKeyHelp_5i7mrzkn32rrl').sfKeyHelp({
		'updown': 'Seleziona episodio',
		'enter': 'Riproduci',
		'return':'Indietro',
	});
};

SceneEpisodes.prototype.handleShow = function (data) {
	alert("SceneEpisodes.handleShow()");
	// this function will be called when the scene manager show this scene
	try {
		ListMenu.init();
	} catch (e) {
		alert(e);
	}
	
	try {
		sf.service.setVolumeControl(true);
	} catch (e) {
		alert(e.message);
	}
	
	
};

SceneEpisodes.prototype.handleHide = function () {
	alert("SceneEpisodes.handleHide()");
	// this function will be called when the scene manager hide this scene
};

SceneEpisodes.prototype.handleFocus = function () {
	alert("SceneEpisodes.handleFocus()");
	// this function will be called when the scene manager focus this scene
};

SceneEpisodes.prototype.handleBlur = function () {
	alert("SceneEpisodes.handleBlur()");
	// this function will be called when the scene manager move focus to another scene from this scene
};

SceneEpisodes.prototype.handleKeyDown = function (keyCode) {
	alert("SceneEpisodes.handleKeyDown(" + keyCode + ")");
	// TODO : write an key event handler when this scene get focued
	switch (keyCode) {
		case sf.key.LEFT:
			break;
		case sf.key.RIGHT:
			break;
		case sf.key.UP:
			ListMenu.onUp();
			break;
		case sf.key.DOWN:
			ListMenu.onDown();
			break;
		case sf.key.ENTER:
			ListMenu.onEnter();
			break;
		case sf.key.RETURN:
		case sf.key.BACK:
			sf.key.preventDefault();
			
			sf.scene.hide('Episodes');
			sf.scene.show('Scene1');
			sf.scene.focus('Scene1');
			break;
		default:
			alert("handle default key event, key code(" + keyCode + ")");
			break;
	}
};
