var Connection = { 
		timeout: 5000,
		isWorking: false,
		error: false,
		debugMode: false,
		url: undefined,
		cb: undefined,
		async: true,
		type: 'json'
};

Connection.log = function(m) {
	if (this.debugMode) {
		alert("Connection.js - " + m);
	} 
};

Connection.errorLog = function(m) {
	alert("Connection.js - " + m);
};

Connection.successCb = function(f,g,e) {
	
	Connection.error = false;
	Connection.isWorking=false;
	Connection.cb(f);		

};

Connection.errorCb = function(e,f,g) {
	try {
		Connection.log('ERROR');
		Connection.isWorking=false;
		Connection.error = true;
	
		$('#popupNoNetwork').sfPopup({
			//text:'Errore di rete, impossibile connettersi.',
			text:'Errore di rete, verificare il collegamento a Internet e riavviare l\'applicazione.',
			//buttons:['Riprova','Esci'],
			buttons: 'Esci',
			timeout: 0,
			callback:function(i){
				sf.core.exit(false);
				/*
				try {
					$('#popupNoNetwork').sfPopup('hide');					
				} catch (e) {
					Connection.errorLog(e.message);
				}
				
				//Connection.log("________________________________ RIPROVA ______________________________");
				//Connection.url = "http://giglio.tvapp.it/playme/"+$resolution+".json";
				Connection.sendAjaxRequest(Connection.url,Connection.cb,Connection.async,Connection.type,Connection.errorcb);

				if (i == 0) {
					//exit();
				} else { //if (i == 1) {
					Connection.log("________________________________ ESCI ______________________________");
					sf.core.exit(false);
				}
				*/
			}
		});
		$('#popupNoNetwork').sfPopup('show');
	} catch(e) {
		Connection.log("________________ ECCEZIONE ________________________");
		Connection.log(e);
	}
};

Connection.sendAjaxRequest=function(url,cb,async,type,errorcb)
{
	Connection.log('SEND AJAX REQUEST - URL: ' + url);

	this.isWorking = true;

	this.url = url;
	this.cb = cb;
	this.async = (typeof(async)=="undefined") ? true : async;
	this.type = (typeof(type)=="undefined") ? 'json' : async;

	$.ajax({
		'type': 'GET',
		'dataType': Connection.type,
		'timeout': 5000,
		'async': Connection.async,
		'cache': true,
		'url': Connection.url,
		'error': Connection.errorCb,
		'success': Connection.successCb
	});
};