var $data = null;
var $selectedShow = null;
var $selectedEpisode = null;
var $resolution = '720';

var $playlist = {
		url: "",
		title: ""
};

var $returnscene;
var net = window.webapis.network || {};

window.onShow = function() {
	try {
		
		sf.key.registerKey(1219); // Disabilito il tasto 3D sui device 2010 e 2011
		sf.key.registerKey(75); // Disabilito il tasto TOOLS sui device 2010 e 2011
		sf.key.registerKey(sf.key.TOOLS); // Disabilito il tasto TOOLS
		
		sf.service.setVolumeControl(true);
	} catch (e) {
		alert(e.message);
	}
};

function preload(arrayOfImages) {
    $(arrayOfImages).each(function(){
    	alert("_________________PRELOAD: " + this + "____________________");
        $('<img/>')[0].src = this;
        // Alternatively you could use:
        // (new Image()).src = this;
    });
}

var watchCB = {
		onconnect : function (type) {
			alert("______________________________________________" + type + " is connected successfully");
			$('#popupNoNetwork').sfPopup({
			    text: "NETWORK CONNECTED",
			    buttons: "OK"
			});
			$('#popupNoNetwork').sfPopup('show');
		},

		ondisconnect : function(type) {
			alert("______________________________________________" + type + " is disconnected");
			$('#popupNoNetwork').sfPopup({
			    text: "NETWORK DISCONNECTED",
			    buttons: "OK"
			});
			$('#popupNoNetwork').sfPopup('show');
		}
};

function netSuccessCB(networks) {
	alert("_______________________________________________ SUCCESS _____________________________________");
	alert("_______________________________________________ NETWORKS: " + networks.length);
    try {
		for ( var i = 0; networks.length; i++) {
			if (networks[i].isActive()) {
				alert("****************************************** 2 *************************************************");
				alert("***************************************** The active network interface is " + networks[i].ip);
				alert("****************************************** 3 *************************************************");
				networks[i].setWatchListener(watchCB, netErrorCB);
				alert("****************************************** 4 *************************************************");
			} else {
				alert("___________________________________________________________ NOT ACTIVE");
			}
		}
	} catch (e) {
		alert("___________________________________________________________ ECCEZIONE 2: " + e.message);
	}
};

function netErrorCB(error) {
	alert("_______________________________________________________________________________________________" + error.message);
};

function onStart () {
	// NOTE : In order to start your app, call "sf.start()" at the end of this function!!
	
	sf.scene.show('Splash');
	sf.scene.focus('Splash');
	
	var arrPathToBeIncluded = new Array();
	arrPathToBeIncluded.push("app/Connection.js","app/GridMenu.js","app/ListMenu.js");

	sf.core.loadJS(arrPathToBeIncluded, function() {
		// LOAD DEI DATI
		var url = "http://giglio.tvapp.it/playme/"+$resolution+".json";
		
		Connection.sendAjaxRequest(url, function() {
			alert('_____________________________ CONNECTION OK __________________________');
			$data = arguments[0];
			
			if ($data.length > 0) {
			
				var images_to_preload = [];
				for (var i = 0; i < $data.length; i++) {
					images_to_preload.push($data[i].background);
					images_to_preload.push($data[i].icon);
				}
				preload(images_to_preload);
	
				setTimeout(function() {
					sf.scene.show('Scene1');
					sf.scene.focus('Scene1');
					//sf.start(); // Rimosso perché crasha l'emulatore 2013				
				},500);
			
			}
			
		}, false);
	
	});
	
}
function onDestroy () {
	//stop your XHR or Ajax operation and put codes to distroy your application here
}

alert("init.js loaded.");

try {
	alert("****************************************** 0 *************************************************");
	net.getAvailableNetworks(netSuccessCB, netErrorCB);
	alert("****************************************** 1 *************************************************");
} catch (e) {
	alert("___________________________________________________________ ECCEZIONE 1: " + e.message);
}	