alert('SceneScene1.js loaded');

function SceneScene1() {

};

SceneScene1.prototype.initialize = function () {
	alert("SceneScene1.initialize()");
	// this function will be called only once when the scene manager show this scene first time
	// initialize the scene controls and styles, and initialize your variables here
	// scene HTML and CSS will be loaded before this function is called

	GridMenu.init();
};

SceneScene1.prototype.handleShow = function (data) {
	alert("SceneScene1.handleShow()");
	// this function will be called when the scene manager show this scene
	
	$('#gridmenuscrollbar').sfScroll('focus');

	try {
		sf.service.setVolumeControl(true);
	} catch (e) {
		alert(e.message);
	}
};

SceneScene1.prototype.handleHide = function () {
	alert("SceneScene1.handleHide()");
	// this function will be called when the scene manager hide this scene
};

SceneScene1.prototype.handleFocus = function () {
	alert("SceneScene1.handleFocus()");
	// this function will be called when the scene manager focus this scene
};

SceneScene1.prototype.handleBlur = function () {
	alert("SceneScene1.handleBlur()");
	// this function will be called when the scene manager move focus to another scene from this scene
};

SceneScene1.prototype.handleKeyDown = function (keyCode) {
	alert("SceneScene1.handleKeyDown(" + keyCode + ")");
	// TODO : write an key event handler when this scene get focused
	switch (keyCode) {
		case sf.key.LEFT:
			GridMenu.onLeft();
			break;
		case sf.key.RIGHT:
			GridMenu.onRight();
			break;
		case sf.key.UP:
			GridMenu.onUp();
			break;
		case sf.key.DOWN:
			GridMenu.onDown();
			break;
		case sf.key.ENTER:
			GridMenu.onEnter();
			break;
		default:
			alert("handle default key event, key code(" + keyCode + ")");
			break;
	}
};